#!/bin/bash
echo "--------------" >> /tmp/event_handler.log
/bin/date >> /tmp/event_handler.log # information on the event date and time
/usr/bin/id >> /tmp/event_handler.log # information on the user, on behalf of which the script was executed (to ensure control)
/bin/echo "Domain created ${NEW_DOMAIN_NAME}" >> /tmp/event_handler.log # Domain's name
/bin/cat /etc/nginx/vhost.template | /bin/sed -e "s/<domain.name>/${NEW_DOMAIN_NAME}/g" > /etc/nginx/conf.d/${NEW_DOMAIN_NAME}.conf
/bin/echo "Result of domain config creation is "$? >> /tmp/event_handler.log
/etc/init.d/nginx reload
/bin/echo "Result of nginx reloading is "$? >> /tmp/event_handler.log

