#!/bin/bash
echo "--------------" >> /tmp/event_handler.log
/bin/date >> /tmp/event_handler.log # information on the event date and time
/usr/bin/id >> /tmp/event_handler.log # information on the user, on behalf of which the script was executed (to ensure control)
/bin/echo "Subdomain ${NEW_SUBDOMAIN_NAME} for domain ${NEW_DOMAIN_NAME} created" >> /tmp/event_handler.log # Subdomain's name
/bin/cat /etc/nginx/subdomain.template | /bin/sed -e "s/<domain.name>/${NEW_DOMAIN_NAME}/g" |/bin/sed -e "s/<subdomain>/${NEW_SUBDOMAIN_NAME}/g" > /etc/nginx/conf.d/${NEW_SUBDOMAIN_NAME}.conf
/bin/echo "Result of subdomain config enabling is "$? >> /tmp/event_handler.log
/etc/init.d/nginx reload
/bin/echo "Result of nginx reloading is "$? >> /tmp/event_handler.log

